# Icinga PHP Library | (c) 2021 Icinga GmbH | GPLv2

%global shortname ipl

Name:    icinga-php-library
Version: 0.10.0
Release: 1%{?dist}
Summary: Icinga PHP Library - IPL

Group:   Applications/System
License: MIT
URL:     https://icinga.com
Source0: icinga-php-library-0.10.0.tgz

Requires: icinga-php-common

%if 0%{?rhel} == 7
%define php rh-php73-php
%else
%define php php
%endif

Requires: %{php}-gettext
Requires: %{php}-intl
Requires: %{php}-json
Requires: %{php}-openssl
Requires: %{php}-pdo

BuildArch: noarch

%description
All Icinga PHP libraries bundled.

%global basedir %{_datadir}/icingaweb2/modules/%{shortname}

%prep
%setup -q

%install
install -dpm 0755 %{buildroot}%{basedir}
cp -prv * %{buildroot}%{basedir}

%files
%doc README.md
%license LICENSE
%{basedir}

%post
if [ $1 == 0 ]; then
    ln -sf %{basedir} %{_sysconfdir}/icingaweb2/enabledModules/%{shortname}
fi

%preun
if [ $1 == 0 ]; then
    rm -f %{_sysconfdir}/icingaweb2/enabledModules/%{shortname}
fi

%changelog
* Wed Sep 07 2022 Icinga GmbH <info@icinga.com> - 0.10.0-1
- Version 0.10.0-1
